#include "../include/machineioman.h"

#include <boost/algorithm/string.hpp>
#include <fstream>
#include <iostream>
#include <limits>
#include <vector>

#include <readline/readline.h>

using boost::asio::buffer;

void MachineIoMan::printMessage(std::string msg, OutMsgType type) {
  switch (type) {
  case normal: {
    std::cout << msg << std::endl;
    break;
  }
  case error: {
    std::cout << msg << std::endl;
    break;
  }
  case debug: {
    std::cerr << msg << std::endl;
    break;
  }
  }
}

void MachineIoMan::printWelcomeMessage() {
  std::cout << "please enter user and password" << std::endl;
}

std::string MachineIoMan::getCmdPrompt() { return ""; }

std::string MachineIoMan::getUserPrompt() { return ""; }
std::string MachineIoMan::getPassPrompt() { return ""; }
