import QtQuick 2.12
import QtQuick.Controls 2.5

Page {
    width: 1280
    height: 470

    font.capitalization: Font.MixedCase

    ComboBox {
        id: settingsCovertMethodPicker
        x: 328
        y: 59
        width: 285
        height: 48

        model: ListModel {
            ListElement {
                text: "Method 1"
            }
            ListElement {
                text: "Method 2"
            }
            ListElement {
                text: "Method 3"
            }
        }
    }

    Text {
        id: settingsCovertMethodText
        x: 56
        y: 71
        color: "#ffffff"
        text: qsTr("Covert Channel Method:")
        font.pixelSize: 20
    }

    Button {
        id: settingsSwitchServerButton
        x: 549
        y: 343
        width: 182
        height: 71
        text: qsTr("Switch Server")
        font.pointSize: 15
        // @disable-check M223
        onClicked: {
            // @disable-check M222
            _qmlHandler.onSettingsSwitchServerButton()
        }
    }

    Text {
        id: settingsSaveIpText
        x: 56
        y: 154
        color: "#ffffff"
        text: qsTr("Save last IP:")
        font.pixelSize: 20
    }

    Switch {
        id: settingsSaveIpSwitch
        x: 328
        y: 142
        text: qsTr("")
        checked: false
        display: AbstractButton.IconOnly
    }
}
